# $Revision: 1.80 $, $Date: 2009/01/19 02:51:43 $
#
# Conditional build:
%bcond_with        pfring           # http://www.ntop.org/PF_RING.html
#
Summary:	Libpcap provides promiscuous mode access to network interfaces
Summary(es.UTF-8):	libpcap ofrece acceso a modo promiscuo en interfaces de red
Summary(pl.UTF-8):	Libpcap pozwala na bezpośredni dostęp do interfejsów sieciowych
Summary(pt_BR.UTF-8):	A libpcap fornece acesso ao modo promíscuo em interfaces de rede
Summary(ru.UTF-8):	Предоставляет доступ к сетевым интерфейсам в promiscuous-режиме
Summary(uk.UTF-8):	Надає доступ до мережевих інтерфейсів в promiscuous-режимі
Name:		libpcap
Version:	1.0.0
Release:	3
Epoch:		2
License:	BSD
Group:		Libraries
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	9ad1358c5dec48456405eac197a46d3d
Patch0:		%{name}-shared.patch
Patch1:		%{name}-pf_ring.patch
Patch2:		%{name}-any_device.patch
URL:		http://www.tcpdump.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	bluez-libs-devel
BuildRequires:	flex
%{?with_pfring:BuildRequires:	libpfring-devel}
# beware of tar 1.13.9[12] madness (tarball contains libpcap-0.8.3/./* paths)
BuildRequires:	tar >= 1:1.13.93
Obsoletes:	libpcap0
Obsoletes:	libpcap_mmap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libpcap is a system-independent interface for user-level packet
capture. Libpcap provides a portable framework for low-level network
monitoring. Applications include network statistics collection,
security monitoring, network debugging, etc. Libpcap has
system-independent API that is used by several applications, including
tcpdump and arpwatch.

%description -l es.UTF-8
libpcap es una interface independiente de sistema para captura de
paquetes en modo usuario. Ofrece un esquema portátil para el control
de la red en bajo nivel. Se utiliza para colecta de estadísticas de
red, Control de seguridad, depuración de la red, etc. Tiene una API
independiente de sistema que se usa por varias aplicaciones, entre
ellas tcpdump y arpwatch.

%description -l pl.UTF-8
libpcap to niezależny od systemu interfejs do przechwytywania pakietów
z poziomu użytkownika.

%description -l pt_BR.UTF-8
A libpcap é uma interface independente de sistema para captura de
pacotes em modo usuário. Fornece um esquema portátil para monitoração
da rede em baixo nível. É utilizada para coleta de estatísticas de
rede, monitoramento de segurança, depuração da rede, etc. Tem uma API
independente de sistema que é usada por várias aplicações, entre elas
tcpdump e arpwatch.

%description -l ru.UTF-8
Libpcap - это системнонезависимый интерфейс для захвата пакетов с
пользовательского уровня и низкоуровневого сетевого мониторинга.
Возможные применения включают сбор сетевой статистики, наблюдение за
безопасностью, отладка сети и т.д. Libpcap имеет системнонезависимый
API, используемый многими приложениями, включая tcpdump и arpwatch.

%description -l uk.UTF-8
Libpcap - це системнонезалежний інтерфейс для захвату пакетів з рівня
користувача та нізкорівневого моніторингу мережі. Можливі використання
включають збір статистики мережі, спостереження за безпекою, відладка
мережі і т.і. Libpcap має системнонезалежний API що використовується
багатьма програмами, такими ял tcpdump, arpwatch та trafshow.

%package devel
Summary:	Header files and develpment documentation for libpcap
Summary(es.UTF-8):	Arquivos de cabeçalho e bibliotecas de desenvolvimento para libpcap
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumetacja do libpcap
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para a libpcap
Summary(ru.UTF-8):	Хедеры и библиотеки програмиста для libpcap
Summary(uk.UTF-8):	Хедери та бібліотеки програміста для libpcap
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libpcap0-devel
Obsoletes:	libpcap_mmap-devel

%description devel
Libpcap provides a portable framework for low-level network
monitoring. Libpcap can provide network statistics collection,
security monitoring and network debugging. Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

Install libpcap if you need to do low-level network traffic monitoring
on your network.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libpcap.

%description devel -l pt_BR.UTF-8
Tcpdump imprime os cabeçalhos dos pacotes em uma interface de rede.
Ele é muito prático para resolver problemas na rede e para operações
de segurança.

%description devel -l ru.UTF-8
Хедеры и библиотеки програмиста, необходимые для программирования с
libpcap.

%description devel -l uk.UTF-8
Хедери та бібліотеки програміста, необхідні для програмування з
libpcap.

%package static
Summary:	Static libpcap library
Summary(es.UTF-8):	Biblioteca estática usada no desenvolvimento de aplicativos com libpcap
Summary(pl.UTF-8):	Biblioteka statyczna libpcap
Summary(pt_BR.UTF-8):	Biblioteca estática de desenvolvimento
Summary(ru.UTF-8):	Статическая библиотека libpcap
Summary(uk.UTF-8):	Статична бібліотека libpcap
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libpcap_mmap-static

%description static
Libpcap provides a portable framework for low-level network
monitoring. Libpcap can provide network statistics collection,
security monitoring and network debugging. Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

This package contains the static library used for development.

%description static -l pt_BR.UTF-8
Tcpdump imprime os cabeçalhos dos pacotes em uma interface de rede.
Ele é muito prático para resolver problemas na rede e para operações
de segurança.

%description static -l pl.UTF-8
Biblioteka statyczna libpcap.

%description static -l ru.UTF-8
Статическая библиотека, необходимая для программирования с libpcap.

%description static -l uk.UTF-8
Статична бібліотека, необхідна для програмування з libpcap.

%prep
%setup -q
%patch0 -p1
%{?with_pfring:%patch1 -p0}
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--with-pcap=linux \
	--enable-ipv6
%{__make} \
%{?with_pfring:CCOPT="%{rpmcflags} -O0"}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# some packages want it... but sanitize somehow
# (don't depend on HAVE_{STRLCPY,SNPRINTF,VSNPRINTF} defines)
sed -e '390,396d;399,408d' pcap-int.h > $RPM_BUILD_ROOT%{_includedir}/pcap-int.h

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README
%attr(755,root,root) %{_libdir}/libpcap.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libpcap.so.0
%{_mandir}/man5/pcap-savefile.5*
%{_mandir}/man7/pcap-*.7*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pcap-config
%attr(755,root,root) %{_libdir}/libpcap.so
%{_includedir}/pcap
%{_includedir}/pcap*.h
%{_mandir}/man1/pcap-config.1*
%{_mandir}/man3/pcap*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libpcap.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpcap.spec,v $
Revision 1.80  2009/01/19 02:51:43  zbyniu
- "any" device fix; rel 3

Revision 1.79  2008/11/29 13:29:03  arekm
- release 2

Revision 1.78  2008/11/29 11:53:26  qboosh
- ghost soname symlink
- fixed pcap-int.h sanitizing

Revision 1.77  2008/11/24 14:57:32  arekm
- more manual pages

Revision 1.76  2008/11/24 14:54:29  arekm
- up to 1.0.0 (USB and BlueTooth sniffing support)

Revision 1.75  2007-12-29 00:33:50  glen
- rel 2

Revision 1.74  2007-11-03 12:02:16  qboosh
- updated to 0.9.8

Revision 1.73  2007/08/08 19:05:58  qboosh
- URL

Revision 1.72  2007/08/08 19:05:14  qboosh
- updated to 0.9.7

Revision 1.71  2007/06/15 19:47:29  qboosh
- updated to 0.9.6

Revision 1.70  2007/06/14 17:58:12  areq
- with pfring -O0 (with -O1 seg fault ;( )

Revision 1.69  2007/06/14 14:01:59  areq
- use rpmcflags

Revision 1.68  2007/06/14 13:51:11  areq
- add pf_ring.patch (http://www.ntop.org/PF_RING.html)
- if with pfring disable O2 optimization
  http://listgateway.unipi.it/pipermail/ntop-misc/2007-May/000883.html

Revision 1.67  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.66  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.65  2006/10/06 08:09:51  qboosh
- updated to 0.9.5

Revision 1.64  2006/02/17 21:20:04  mguevara
- 0.9.4 rel 2 - added obsoletes for easy libpcap_mmap replacement

Revision 1.63  2005/10/13 11:02:55  qboosh
- updated to 0.9.4, updated shared patch

Revision 1.62  2005/05/12 17:55:28  adamg
- don't build parser debuging code (tcpdump was fixed to properly detect
  whether pcap_debug is present)
- release 6 for Th

Revision 1.61  2005/05/09 22:31:11  adamg
- enable parser debugging code (needed by tcpdump)
- relase 4 for Th

Revision 1.60  2005/05/08 18:34:35  adamg
- Release 2 for Th

Revision 1.59  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.58  2004/03/31 10:29:04  qboosh
- updated to 0.8.3, removed obsolete ac25x patch
- removed workarounds, require tar 1.13.93

Revision 1.57  2004/01/16 13:07:49  qboosh
- make sanitized pcap-int.h available to other packages (e.g. kismet)
- release 2

Revision 1.56  2004/01/03 00:06:13  qboosh
- fixed License, added copyright note to doc

Revision 1.55  2004/01/03 00:04:05  qboosh
- tar 1.3.25 compatibility hack :/

Revision 1.54  2004/01/02 23:41:04  qboosh
- updated to 0.8.1, updated shared patch, added ac25x patch

Revision 1.53  2003/12/25 14:49:50  undefine
- use config.sub from automake to allow build on amd64

Revision 1.52  2003/10/07 11:29:18  qboosh
- simplified %%setup

Revision 1.51  2003/07/20 17:06:27  areq
- Release:        2, rebuild

Revision 1.50  2003/06/23 20:11:39  jareq
- fixed epoch:version issue

Revision 1.49  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.48  2003/05/25 05:49:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/03/03 14:18:56  trojan
- updated to 0.7.2

Revision 1.46  2002/11/16 19:50:03  kloczek
- release 3: merge translations from KSI.

Revision 1.45  2002/07/04 12:23:10  kloczek
- release 2: use new %doc.

Revision 1.44  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.43  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.42  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/04 11:51:22  misiek
- updated to 0.7.1

Revision 1.40  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2002/01/06 04:20:35  kloczek
- release 3: libpcap0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.38  2001/08/09 19:32:43  blues
- Release 2
- ac 2.5 ready
- some es and pt_BR translations

Revision 1.37  2001/02/07 21:49:41  misiek
0.6.2

Revision 1.36  2001/01/12 15:02:01  misiek
latest official release 0.6.1

Revision 1.35  2001/01/07 12:37:20  misiek
3.6 cvs prerelease. Changed versioning number scheme.

Revision 1.34  2000/12/17 12:19:43  misiek
updated to cvs20001217

Revision 1.33  2000/12/02 21:40:58  misiek
updated to cvs20001202

Revision 1.32  2000/11/03 09:12:24  kloczek
- use new rpm automation.

Revision 1.31  2000/11/02 09:27:24  misiek
updated to cvs version as official stable is broken

Revision 1.30  2000/08/27 21:02:14  kloczek
- release 2.

Revision 1.29  2000/08/26 00:05:20  mis
- removed /usr/include/net dir, it's in glibc-devel

Revision 1.28  2000/08/01 10:55:30  zagrodzki
- updated to 0.5.2

Revision 1.27  2000/07/14 13:30:40  wiget
0.5

Revision 1.26  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.25  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/05/23 21:25:52  kloczek
- release 21 (for allow upgrade from RH 6.2),
- spec adapterized.

Revision 1.23  2000/05/07 13:10:57  kloczek
- release 19.

Revision 1.22  2000/04/14 08:55:00  qboosh
- added flex and bison to BuildRequires:

Revision 1.21  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.19  2000/01/23 09:46:02  kloczek
- added missing %%date macro.

Revision 1.18  2000/01/23 09:39:44  kloczek
- fixed %changelog.

Revision 1.17  2000/01/23 09:36:47  kloczek
- release 18,
- updated Patch0 to ss991029,
- adapter(ized).

Revision 1.16  1999/11/29 20:26:15  wiget
- added %%defattr

Revision 1.15  1999/11/27 03:07:10  kloczek
- release 3,
- added patch for building and installing srared libpcap (based on Debian),
- added static and devel subpackages,
- added scanner and IFF_LOOPBACK patches (from Debian).

Revision 1.14  1999/08/19 11:50:28  kloczek
- release 2.

Revision 1.13  1999/08/12 11:19:04  misiek
includes moved to up directory

* Sat Jul 03 1999 Arkadiusz Miśkiewicz <misiek@pld.org.pl>
  [0.4-1]
- removed unnecesary info about few patches
- replaced ipv6 patches with ANK patch.

* Sun Mar 14 1999 Michał Kuratczyk <kura@pld.org.pl>
  [0.4a6-6]
- removed man group from man pages
- fixed Summary(pl)
- minor changes

* Tue Feb 16 1999 Artur Frysiak <wiget@usa.net>
  [0.4a6-5d]
- initial release for PLD
